/* General CSS */

body {
    background-color: rgb(250 250 249 / 1);
}

section {
    overflow: hidden;
}

img {
    width: 100%;
    height: 100%;
}

input:hover, textarea:hover {
    caret-color: black;
}

div > span.text-yellow-700 {
    font-size: 2em;
}

div.floating > svg {
    rotate: calc(180deg);
}

/* End of general CSS */

/* Header section CSS */
#header-img {
    height: 100vh;
    width: 100%;
    background-image: url("../images/header.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    filter: brightness(0.5);
    position: absolute;
    z-index: -2;
}

#header-content {
    height: 100vh;
    color: white;
    text-align: center;
    padding-top: 80px;
}

#header-content button, #navbar button {
    text-transform: uppercase;
}

#navbar > button {
    filter: invert(1) brightness(100);
    border: none;
}

#navbar > button:focus {
    box-shadow: none;
}

#header-text {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#header-text-top {
    margin: 100px 0 70px 0;
}

#header-buttons {
    display: flex;
    margin-top: 20px;
    gap: 1.6rem;
    justify-content: center;
}

#navbar.navbar {
    z-index: 1;
    padding-left: 10px;
    padding-right: 10px;
    border: 0;
}

.blackout {
    background-color: rgb(28 25 23 / 1);
}


#navbar ul {
    flex-direction: row;
    background-color: inherit;
}

#navbar li {
    display: flex;
    margin-right: 25px;
}

#navbar li:not(#nav-quote) {
    background-color: inherit;
}

.logo > button {
    background-color: transparent;
    border: 0;
}

#navbar button.nav-link {
    float: right;
    display: block;
    color: #f2f2f2;
    text-align: center;
    text-decoration: none;
}

#navbar li.burger-menu-item > button.nav-link,
#navbar li.burger-menu-item > ul {
    width: 100%;
}

#collapsibleNav {
    flex-grow: 0;
    background-color: inherit;
}

#collapsibleNav a:hover, #collapsibleNav button:hover,
.logo button:hover,
#quick-links button.nav-link:hover,
#social a.nav-link:hover {
    color:rgb(161, 98, 7);
}

li.nav-item.dropdown ul.dropdown-menu {
    background-color: inherit;
    border: inherit;
}

#navbar.blackout ul.dropdown-menu.show {
    box-shadow: 0 25px 50px -12px rgb(0 0 0 / 0.25);
}

.burger-menu-ul, .burger-menu-item {
    flex-direction: column !important;
}

.burger-menu-item, .burger-menu-item > ul > li {
    margin-right: 0 !important;
    justify-content: center;
    align-items: center;
}

.logo > button {
    padding: 0 0 0 5px;
    font-size: 1.5rem;
    line-height: 2rem;
    letter-spacing: -0.05em;
}

.logo {
    min-width: 180px;
    display: flex;
    align-items: center;
}

/* End of header section CSS */


/* About section CSS */
#about {
    padding: 60px;
}

#about-img-container,
#zane-liv,
#fullscreen-img-container,
#fullscreen-img {
    min-width: 427px;
}

#about-img-container {
    margin: auto;
    height: auto;
}

#intro {
    padding: 60px;
}

#intro h3 {
    font-size: 3.7rem;
}

#intro p {
    font-size: 1.2rem;
}

#exp > div {
    min-width: 145px;
}
/* End of about section CSS */

/* Gallery section CSS */
#gallery, #process {
    padding: 130px 100px 140px 100px;
    color: white;
    background-color: rgb(28 25 23 / 1);
}

#gallery-header > span {
    font-size: 1.125rem;
    line-height: 1.75rem;
}

#gallery-nav {
    padding-top: 60px;
    padding-bottom: 30px;
}

#gallery-nav li {
    font-weight: 600;
    padding: 0 10px 0 10px;
    margin: 5px;
}

#gallery-nav li > button:hover {
    color: white;
}

.gallery-img-container {
    cursor: pointer;
    max-height: 300px;
    min-width: 300px;
    margin: 20px;
}

.gallery-img-container:hover img {
    opacity: 1;
    filter: saturate(125%) brightness(0.5);
    transform: scale(1.1);
}

.gallery-img-container:hover .middle {
    opacity: 1;
}

.gallery-img-container img {
    opacity: 0.5;
    display: block;
    transition: .5s ease;
    backface-visibility: hidden;
    filter: grayscale();
    object-fit: cover;
}

#gallery-links {
    margin-top: 40px;
    text-align: center;
}

#gallery-links button {
    text-decoration: none;
    font-size: 1.2rem;
    border: none;
    background-color: transparent;
}
/* End of Gallery section CSS */

/* Service section CSS */
#services, #inquiry {
    padding: 130px 5% 140px 5%;
}

#services h3 {
    font-size: 3rem;
}

#services > div:first-child {
    margin-bottom: 30px;
}

#services > div:first-child > div:first-child {
    min-width: 370px;
}

#service-boxes {
    background-color: lightgray;
    margin-left: 40px;
    margin-right: 40px;
}

#service-boxes > div {
    background-color: rgb(250 250 249 / 1);
    border: 1px solid lightgray;
    padding: 30px;
}

#service-boxes > div > svg {
    width: 2rem;
    height: 2rem;
}

#service-boxes > div:hover {
    background-color: rgb(28, 25, 23);
    color: white;
    transition-duration: 500ms;
}

#service-boxes > div:hover svg {
    transform: scale(1.1);
    transition-duration: 150ms;
}

#service-boxes > div > :not(:last-child) {
    margin-bottom: 20px;
}
/* End of service section CSS */

/* Process section CSS */
#process-header {
    margin-bottom: 80px;
}

#process-content > div {
    min-width: 185px;
}

#process-content > div > div {
    font-size: 1.6rem;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    background-color: rgb(161, 98, 7);
    padding: 10px;
    margin-bottom: 40px !important;
}
/* End of process section CSS */

/* Inquiry section CSS */
#inquiry-heading {
    width: 283px;
}

#inquiry-line {
    margin: 60px 0;
    font-size: 1.25rem;
    line-height: 1.75rem;
}

.inquiry-icon {
    width: 52px;
    padding: 15px;
    margin-right: 10px;
    background-color: rgb(28 25 23 / 1);
    color: white;
}

#inquiry-details > div {
    flex-wrap: nowrap;
    margin-bottom: 40px;
}

.detail-title {
    font-size: 0.8rem;
}

.detail-info, .detail-link {
    font-weight: 500;
}

.detail-link {
    text-decoration: none;
    color: black;
}

.detail-link:hover {
    color: rgb(161, 98, 7);
}

#form-container {
    background-color: white;
    box-shadow: 0px 30px 35px 5px rgba(0,0,0,.1);
    padding: 50px;
    border-top: 8px solid rgb(161, 98, 7);
}

#inquiry-form > div > div:not(:last-child) {
    padding-bottom: 20px;
}

#inquiry-form div.form-group > label {
    color: rgb(120, 113, 108);
    font-size: 0.75rem;
    font-weight: 700;
    line-height: 1rem;
    margin-bottom: 5px;
}

#name,
#email,
#phone,
#project-type,
#description {
    background-color: rgb(250, 250, 249);
    border: 0;
    border-radius: 0;
    padding: 1rem;
}

#name:focus,
#email:focus,
#phone:focus,
#project-type:focus,
#description:focus {
    box-shadow: 0 0 0 .1rem rgb(161, 98, 7);
}

#submit {
    color: rgb(250 250 249 / 1);
    background-color: rgb(28 25 23 / 1);
    border: 2px solid rgb(28 25 23 / 1);
    padding: 10px;
    width: 100%;
    font-weight: 700;
}

/* End of inquiry section CSS */

#fullscreen-content {
    padding: 20px;
}

#fullscreen img {
    filter: saturate(125%);
}

.fullscreen-btn {
    position: relative;
    top: -98%;
    left: 91%;
    background-color: inherit;
    color: inherit;
    border: 0;
}

.middle {
    transition: .5s ease;
    opacity: 0;
    position: relative;
    top: -55%;
    padding: 5%;
    text-align: start;
    filter: drop-shadow(2px 2px 1px black);
}

#slogan {
    font-weight: 300;
    font-size: 1.6vw;
    padding: 15px 0 15px 0;
}

h1 {
    margin-bottom: 15px;
}

h2 {
    font-size: 3.75rem;
    line-height: 1;
}

button.primary {
    border: none;
    font-weight: 700;
}

button.primary, #gallery-nav li.active,
#submit:hover {
    background-color: rgb(161, 98, 7);
    border: 2px solid rgb(161, 98, 7);
    color: white;
}

button.primary, button.secondary {
    padding: 1.25rem 2.5rem;
    text-decoration: none;
}

#fullscreen .closebtn:hover,
#gallery-links > button:hover {
    color: rgb(133, 77, 14);
}

#collapsibleNav li.action:hover,
button.primary:hover,
#gallery-nav li.active:hover {
    background-color: rgb(133, 77, 14);
    border: 2px solid rgb(133, 77, 14);
}

button.secondary {
    background-color: transparent;
    color: black;
    border: 2px solid white;
    font-weight: 700;
}

button.secondary:hover {
    background-color: white;
}

#gallery-header > span,
#gallery-nav li > button,
#process-content > div > p,
.detail-title {
    color: rgb(168, 162, 158);
}

#gallery-nav li.active > button, .logo > button, li > button, li > a {
    color: white;
}

li.action {
    background-color: white;
    border: 2px solid white;
    padding-left: 10px;
    padding-right: 10px;
    font-weight: 600;
}

li.action.top {
    background-color: white;
    border: 2px solid white;
    transition: 0.3s;
}

li.action.scrolled {
    background-color: rgb(161, 98, 7);
    border: 2px solid rgb(161, 98, 7);
    transition: 0.3s;
}

li.action.scrolled a {
    color: white !important;
}

#navbar li.action > button {
    color: black;
}

footer {
    padding: 80px 40px 80px 40px;
    background-color: rgb(28, 25, 23);
    color: rgb(168, 162, 158);
}

footer .logo {
    margin-bottom: 20px;
}

#footer-left .logo > svg {
    width: 2rem;
    height: 2rem;
}

#footer-left .logo > a {
    font-size: 1.875rem;
    line-height: 2.25rem;
}

footer nav > p {
    color: white;
}

footer ul {
    flex-direction: column;
}

footer ul > li {
    text-decoration: none;
}

#footer-left {
    max-width: 24rem;
}

#footer-left > p {
    font-size: 1.125rem;
    line-height: 1.75rem;
}

#quick-links { 
    margin-bottom: 40px;
}

#quick-links > p, #social > p {
    font-size: 1.25rem;
    line-height: 1.75rem;
    margin-bottom: 1.5rem;
}

#quick-links > ul li button.nav-link, #social > ul li a.nav-link {
    color: inherit;
    font-size: 0.75rem;
    line-height: 1rem;
    width: 100%;
}

#copyright {
    padding-top: 3rem;
    border-top: 1px solid rgb(41, 37, 36);
    color: rgb(120, 113, 108);
    text-align: center;
    font-size: 0.875rem;
    line-height: 1.25rem;
}

hr.heading-underline, hr.heading-underline-short {
    color: rgb(161, 98, 7);
    height: 5px;
    opacity: 1;
}

hr.heading-underline-short {
    width: 100px;
}

.anton-regular {
    font-family: "Anton", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.inter-regular {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
        "wdth" 100;
}

.text-yellow-700 {
    color: rgb(161, 98, 7);
}

.bg-yellow-700 {
    background-color: rgb(161, 98, 7);
}

.bg-yellow-800 {
    background-color: rgb(133, 77, 14);
}

.gradient {
    background: -webkit-linear-gradient(0deg, #CA8A04, #FACC15);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.caps {
    text-transform: uppercase;
}

.centered-text {
    text-align: center;
}

.shadow {
    text-shadow: 0px 1px 3px black;
}

.img-shadow {
    box-shadow: 10px 10px 10px 0px lightgray;
}

.nav-shadow {
    box-shadow: 0 25px 50px -12px rgb(0 0 0 / 0.25);
}

#scroll-indicator {
    font-weight: 400;
    z-index: -1;
}

.overlay {
    height: 100%;
    width: 100%;
    display: none;
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
}

.overlay-content-closebtn-row {
    position: relative;
    width: 100%;
    justify-content: end;
}

.overlay-content {
    position: relative;
    height: 100%;
    width: 100%;
    color: white;
    margin: auto;
}

.overlay button {
    z-index: 2;
    display: block;
    padding: 8px;
    border: none;
    background-color: transparent;
    color: #818181;
    font-size: 36px;
    text-decoration: none;
    transition: 0.3s;
}

.overlay button:hover, .overlay button:focus {
    color: #f1f1f1;
}

.overlay .closebtn {
    font-size: 60px;
    width: 60px;
}

.navbar-padding-vertical-top {
    padding-top: 20px;
    padding-bottom: 20px;
}

.navbar-padding-vertical-scrolled {
    padding-top: 10px;
    padding-bottom: 10px;
}

.text-sm {
    font-size: 0.75rem;
    line-height: 1rem;
}

.spacing-widest {
    letter-spacing: 0.2em;
}

.btn-spacing-wider {
    letter-spacing: 0.15em;
}

.spacing-wider {
    letter-spacing: 0.1em;
}

.spacing-wide {
    letter-spacing: 0.025em;
}

.spacing-tight {
    letter-spacing: -0.025em;
    line-height: 1;
}

.transition-all {
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
}

.duration-300 {
    transition-duration: 300ms;
}

.duration-500 {
    transition-duration: 500ms;
}

.slide-up {
  animation-name: slide-up;
  animation-duration: 2s;
  animation-iteration-count: 1;
}

@keyframes slide-up {
  0% {
    opacity: 0;
    transform: translateY(10%);
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.floating {
    position: relative;
    animation: float 2s ease-in-out infinite;
}

@keyframes float {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-5px);
    }

    100% {
        transform: translateY(0);
    }
}

.before-slide-in-left {
    transform: translateX(100%);
}

.slide-in-left {
  animation-name: slide-in-left;
  animation-duration: 2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes slide-in-left {
  0% {
    opacity: 0;
    transform: translateX(100%);
  }
  50% {
    transform: translateX(0%);
    opacity: .5;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

.before-slide-in-right {
    transform: translateX(-100%);
}

.slide-in-right {
  animation-name: slide-in-right;
  animation-duration: 2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes slide-in-right {
  0% {
    opacity: 0;
    transform: translateX(-100%);
  }
  50% {
    transform: translateX(-0%);
    opacity: .5;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

.before-block-slide-up {
    display: none;
    transform: translateY(20px);
}

.block-slide-up {
  animation-name: block-slide-up;
  animation-duration: 2s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes block-slide-up {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  50% {
    transform: translateY(10px);
    opacity: .5;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.before-appear {
    display: none;
}

.appear {
  animation-name: appear;
  animation-duration: 2s;
  animation-iteration-count: 1;
}

@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(10%) scale(0);
  }
  100% {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
}

.fade-out {
  animation-name: fade-out;
  animation-duration: 1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes fade-out {
  0% {
    display: block;
    opacity: 1;
  }
  100% {
    display: none;
    opacity: 0;
    transform: scale(0.8);
    transform-origin: 50% 50% 0px;
  }
}

.fade-in {
  animation-name: fade-in;
  animation-duration: 1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes fade-in {
  0% {
    display: none;
    opacity: 0;
  }
  100% {
    display: block;
    opacity: 1;
    transform: scale(1);
    transform-origin: 50% 50% 0px;
  }
}

@media only screen and (min-width: 1120px) {
    .container-before-appear {
        height: 330px;
    }
}

@media only screen and (max-width: 1120px) {
    .container-before-appear {
        height: 100vh;
    }

    #process-content {
        text-align: center;
        align-items: center;
        flex-direction: column;
        flex-wrap: nowrap;
    }

    #process-content > div {
        width: 100%;
        margin-bottom: 40px;
    }
    
    #process-content > div > div {
        margin: auto;
    }
}

@media only screen and (max-width: 992px) {
    #process-content > div {
        flex-direction: column;
        text-align: center;
    }
}

@media only screen and (max-width: 910px) {
    .overlay-content {
        align-items: center;
        justify-content: center;
    }

    .overlay-detail {
        text-align: center;
        padding: 80px 0;
    }
}

@media only screen and (min-width: 910px) {
    #fullscreen img {
        padding-left: 90px;
        padding-right: 50px;
    }
    .overlay-detail {
        padding-right: 15%;
    }
}

@media only screen and (min-width: 992px) {
    .container-before-block-slide-up {
        height: 500px;
    }
}

@media only screen and (max-width: 992px) {
    .container-before-block-slide-up {
        height: 100vh;
    }

    footer > div {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    footer .logo {
        justify-content: center !important;
    }

    #footer-left {
        margin-bottom: 70px;
    }

    #social {
        margin-bottom: 40px;
    }
}

@media only screen and (max-width: 783px) {
    h1 {
        font-size: 3.75rem;
    }

    #slogan {
        font-size: 1.25rem;
        line-height: 1.75rem;
    }
}

@media only screen and (min-width: 783px) {
    h1 {
        font-size: 8rem;
    }

    #slogan {
        font-size: 1.5rem;
        line-height: 2rem;
    }
}

@media only screen and (min-width: 767px) {
    hr.heading-underline {
        width: 15%;
    }

    .overlay-content {
        align-items: center;
    }

}

@media only screen and (max-width: 767px) { 
    #services > div:first-child {
        text-align: center;
    }
}

/*@media only screen and (min-width: 576px) and (max-width: 738px) {
    #navbar > div {
        flex-direction: column;
    }
}

@media only screen and (max-width: 1100px) {
    #intro {
        min-width: 550px;
        text-align: center;
        padding-top: 65px;
    }
    hr.heading-underline {
        width: 80%;
        margin: 1rem 3rem;
    }

    #about {
        align-items: center;
        flex-direction: column;
    }
}

@media only screen and (max-width: 450px) {
    #exp > div {
        padding-bottom: 20px;
    }
}

@media screen and (max-height: 450px) {
    .overlay button {
        font-size: 20px;
    }
    
    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}